unit U_GXGL_List;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, cxGraphics, cxCustomData, cxStyles, cxTL, cxMaskEdit, DB, ADODB,
  cxInplaceContainer, cxDBTL, cxControls, cxTLData, ComCtrls, ToolWin,
  StdCtrls, cxFilter, cxData, cxDataStorage, cxEdit, cxDBData, DBClient,
  cxGridCustomTableView, cxGridTableView, cxGridDBTableView, ExtCtrls,
  cxSplitter, cxGridLevel, cxClasses, cxGridCustomView, cxGrid,
  cxGridCustomPopupMenu, cxGridPopupMenu, RM_Dataset, RM_System, RM_Common,
  RM_Class, RM_GridReport, IdBaseComponent, IdComponent, IdTCPConnection,
  IdTCPClient, IdFTP,ShellAPI,IniFiles, cxCheckBox, cxCalendar,
  cxButtonEdit, cxTextEdit;

type
  TfrmGXGL_List = class(TForm)
    ToolBar1: TToolBar;
    TBRafresh: TToolButton;
    TBDel: TToolButton;
    TBClose: TToolButton;
    ADOQueryTemp: TADOQuery;
    ADOQueryCmd: TADOQuery;
    Panel1: TPanel;
    ToolButton2: TToolButton;
    ADOQueryMain: TADOQuery;
    ToolButton1: TToolButton;
    RM1: TRMGridReport;
    RMDB_Main: TRMDBDataSet;
    cxGridPopupMenu2: TcxGridPopupMenu;
    DS_HZ: TDataSource;
    CDS_HZ: TClientDataSet;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    Label5: TLabel;
    SYRName: TEdit;
    Label1: TLabel;
    PSName: TEdit;
    cxGrid2: TcxGrid;
    Tv2: TcxGridDBTableView;
    v2PSName: TcxGridDBColumn;
    v2PSSH: TcxGridDBColumn;
    v2PSNote: TcxGridDBColumn;
    v2SYRName: TcxGridDBColumn;
    vLDPrice: TcxGridDBColumn;
    v2Column1: TcxGridDBColumn;
    cxGridLevel1: TcxGridLevel;
    procedure FormDestroy(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure TBCloseClick(Sender: TObject);
    procedure TBDelClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure TBRafreshClick(Sender: TObject);
    procedure ToolButton2Click(Sender: TObject);
    procedure ZdyNameChange(Sender: TObject);
    procedure ToolButton1Click(Sender: TObject);
    procedure ToolButton4Click(Sender: TObject);
    procedure ToolButton3Click(Sender: TObject);
    procedure Tv2DblClick(Sender: TObject);
  private
    { Private declarations }
    procedure InitGrid();

  public
    fDEFstr5:string;
  end;

var
  frmGXGL_List: TfrmGXGL_List;

implementation
uses
  U_DataLink,U_Fun,U_ZDYHelp,U_GXGL_Input;

{$R *.dfm}

procedure TfrmGXGL_List.InitGrid();
begin
  try
    ADOQueryMain.DisableControls;
    with ADOQueryMain do
    begin
      Filtered:=False;
      Close;
      SQL.Clear;
      sql.Add(' select * from JYOrder_Process ');
      Open;
    end;
    SCreateCDS20(ADOQueryMain,CDS_HZ);
    SInitCDSData20(ADOQueryMain,CDS_HZ);
  finally
    ADOQueryMain.EnableControls;
  end;
  ToolButton2.Click;
end;


procedure TfrmGXGL_List.FormDestroy(Sender: TObject);
begin
  frmGXGL_List:=nil;
end;

procedure TfrmGXGL_List.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action:=caFree;
end;

procedure TfrmGXGL_List.TBCloseClick(Sender: TObject);
begin
  WriteCxGrid('供应商资料',Tv2,'客户自定义');
  Close;
end;
procedure TfrmGXGL_List.TBDelClick(Sender: TObject);
begin
  if CDS_HZ.IsEmpty then Exit;
  if Application.MessageBox('确定要删除数据吗？','提示',32+4)<>IDYES then Exit;
  if Trim(CDS_HZ.fieldbyname('PSID').AsString)<>'' then
  begin
    with ADOQueryCmd do
    begin
      Close;
      SQL.Clear;
      sql.Add('delete JYOrder_Process where PSID='''+Trim(CDS_HZ.fieldbyname('PSID').AsString)+'''');
      ExecSQL;
    end;
  end;
  CDS_HZ.Delete;
end;

procedure TfrmGXGL_List.FormShow(Sender: TObject);
begin
  ReadCxGrid('供应商资料',Tv2,'客户自定义');
  InitGrid();
end;

procedure TfrmGXGL_List.TBRafreshClick(Sender: TObject);
begin
  InitGrid();
end;

procedure TfrmGXGL_List.ToolButton2Click(Sender: TObject);
begin
  if ADOQueryMain.Active then
  begin
    SDofilter(ADOQueryMain,SGetFilters(Panel1,1,2));
    SCreateCDS20(ADOQueryMain,CDS_HZ);
    SInitCDSData20(ADOQueryMain,CDS_HZ);
  end;
end;

procedure TfrmGXGL_List.ZdyNameChange(Sender: TObject);
begin
  ToolButton2.Click;
end;


procedure TfrmGXGL_List.ToolButton1Click(Sender: TObject);
begin
  if ADOQueryMain.IsEmpty then Exit;
    TcxGridToExcel(self.Caption,cxgrid2);
//  SelExportData(Tv2,ADOQueryMain,'供应商资料列表');
end;

procedure TfrmGXGL_List.ToolButton4Click(Sender: TObject);
begin
  try
    frmGXGL_Input:=TfrmGXGL_Input.Create(Application);
    with frmGXGL_Input do
    begin
      FCYID:=Trim(Self.CDS_HZ.fieldbyname('PSID').AsString);
      fDEFstr5:=self.fDEFstr5;
      if ShowModal=1 then
      begin
        TBRafresh.Click;
      end;
    end;
  finally
    frmGXGL_Input.Free;
  end;
end;

procedure TfrmGXGL_List.ToolButton3Click(Sender: TObject);
begin
  try
    frmGXGL_Input:=TfrmGXGL_Input.Create(Application);
    with frmGXGL_Input do
    begin
      FCYID:='';
      fDEFstr5:=self.fDEFstr5;
      if ShowModal=1 then
      begin
        TBRafresh.Click;
      end;
    end;
  finally
    frmGXGL_Input.Free;
  end;
end;

procedure TfrmGXGL_List.Tv2DblClick(Sender: TObject);
begin
  if CDS_HZ.IsEmpty then Exit;
  ModalResult:=1;
end;

end.


